<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class AdminMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        /* Funciona porque o JWT Middleware já foi executado e o user está autenticado */
        $user = auth()->user();

        if($user->role_id !== 1){
            return response()->json([
                'message' => 'Acesso negado. Apenas administradores podem aceder a esta página',
                'data' => null,
                'errors' => null,
            ], 403);
        }

        return $next($request);
        /* Em cima o middleware já foi criado e agora temos que registar o alias no kernel.php */
    }
}
